#ifndef _H_4D3AC98A402E005DBF849532A15957F2_SetDifferentialWheelSpeed_DCPS_H_
#define _H_4D3AC98A402E005DBF849532A15957F2_SetDifferentialWheelSpeed_DCPS_H_

#include "sacpp_mapping.h"
#include "dds_dcps.h"
#include "SetDifferentialWheelSpeed_.h"


namespace webots_ros2_msgs
{
    namespace srv
    {
        namespace dds_
        {
            class SetDifferentialWheelSpeed_Request_TypeSupportInterface;

            typedef SetDifferentialWheelSpeed_Request_TypeSupportInterface * SetDifferentialWheelSpeed_Request_TypeSupportInterface_ptr;
            typedef DDS_DCPSInterface_var < SetDifferentialWheelSpeed_Request_TypeSupportInterface> SetDifferentialWheelSpeed_Request_TypeSupportInterface_var;
            typedef DDS_DCPSInterface_out < SetDifferentialWheelSpeed_Request_TypeSupportInterface> SetDifferentialWheelSpeed_Request_TypeSupportInterface_out;


            class SetDifferentialWheelSpeed_Request_DataWriter;

            typedef SetDifferentialWheelSpeed_Request_DataWriter * SetDifferentialWheelSpeed_Request_DataWriter_ptr;
            typedef DDS_DCPSInterface_var < SetDifferentialWheelSpeed_Request_DataWriter> SetDifferentialWheelSpeed_Request_DataWriter_var;
            typedef DDS_DCPSInterface_out < SetDifferentialWheelSpeed_Request_DataWriter> SetDifferentialWheelSpeed_Request_DataWriter_out;


            class SetDifferentialWheelSpeed_Request_DataReader;

            typedef SetDifferentialWheelSpeed_Request_DataReader * SetDifferentialWheelSpeed_Request_DataReader_ptr;
            typedef DDS_DCPSInterface_var < SetDifferentialWheelSpeed_Request_DataReader> SetDifferentialWheelSpeed_Request_DataReader_var;
            typedef DDS_DCPSInterface_out < SetDifferentialWheelSpeed_Request_DataReader> SetDifferentialWheelSpeed_Request_DataReader_out;


            class SetDifferentialWheelSpeed_Request_DataReaderView;

            typedef SetDifferentialWheelSpeed_Request_DataReaderView * SetDifferentialWheelSpeed_Request_DataReaderView_ptr;
            typedef DDS_DCPSInterface_var < SetDifferentialWheelSpeed_Request_DataReaderView> SetDifferentialWheelSpeed_Request_DataReaderView_var;
            typedef DDS_DCPSInterface_out < SetDifferentialWheelSpeed_Request_DataReaderView> SetDifferentialWheelSpeed_Request_DataReaderView_out;

            struct SetDifferentialWheelSpeed_Request_Seq_uniq_ {};
            typedef DDS_DCPSUFLSeq < SetDifferentialWheelSpeed_Request_, struct SetDifferentialWheelSpeed_Request_Seq_uniq_> SetDifferentialWheelSpeed_Request_Seq;
            typedef DDS_DCPSSequence_var < SetDifferentialWheelSpeed_Request_Seq> SetDifferentialWheelSpeed_Request_Seq_var;
            typedef DDS_DCPSSequence_out < SetDifferentialWheelSpeed_Request_Seq> SetDifferentialWheelSpeed_Request_Seq_out;

            class  SetDifferentialWheelSpeed_Request_TypeSupportInterface :
                virtual public DDS::TypeSupport
            { 
            public:
                typedef SetDifferentialWheelSpeed_Request_TypeSupportInterface_ptr _ptr_type;
                typedef SetDifferentialWheelSpeed_Request_TypeSupportInterface_var _var_type;

                static SetDifferentialWheelSpeed_Request_TypeSupportInterface_ptr _duplicate (SetDifferentialWheelSpeed_Request_TypeSupportInterface_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SetDifferentialWheelSpeed_Request_TypeSupportInterface_ptr _narrow (DDS::Object_ptr obj);
                static SetDifferentialWheelSpeed_Request_TypeSupportInterface_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SetDifferentialWheelSpeed_Request_TypeSupportInterface_ptr _nil () { return 0; }
                static const char * _local_id;
                SetDifferentialWheelSpeed_Request_TypeSupportInterface_ptr _this () { return this; }


            protected:
                SetDifferentialWheelSpeed_Request_TypeSupportInterface () {};
                ~SetDifferentialWheelSpeed_Request_TypeSupportInterface () {};
            private:
                SetDifferentialWheelSpeed_Request_TypeSupportInterface (const SetDifferentialWheelSpeed_Request_TypeSupportInterface &);
                SetDifferentialWheelSpeed_Request_TypeSupportInterface & operator = (const SetDifferentialWheelSpeed_Request_TypeSupportInterface &);
            };

            class  SetDifferentialWheelSpeed_Request_DataWriter :
                virtual public DDS::DataWriter
            { 
            public:
                typedef SetDifferentialWheelSpeed_Request_DataWriter_ptr _ptr_type;
                typedef SetDifferentialWheelSpeed_Request_DataWriter_var _var_type;

                static SetDifferentialWheelSpeed_Request_DataWriter_ptr _duplicate (SetDifferentialWheelSpeed_Request_DataWriter_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SetDifferentialWheelSpeed_Request_DataWriter_ptr _narrow (DDS::Object_ptr obj);
                static SetDifferentialWheelSpeed_Request_DataWriter_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SetDifferentialWheelSpeed_Request_DataWriter_ptr _nil () { return 0; }
                static const char * _local_id;
                SetDifferentialWheelSpeed_Request_DataWriter_ptr _this () { return this; }

                virtual DDS::LongLong register_instance (const SetDifferentialWheelSpeed_Request_& instance_data) = 0;
                virtual DDS::LongLong register_instance_w_timestamp (const SetDifferentialWheelSpeed_Request_& instance_data, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long unregister_instance (const SetDifferentialWheelSpeed_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long unregister_instance_w_timestamp (const SetDifferentialWheelSpeed_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long write (const SetDifferentialWheelSpeed_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long write_w_timestamp (const SetDifferentialWheelSpeed_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long dispose (const SetDifferentialWheelSpeed_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long dispose_w_timestamp (const SetDifferentialWheelSpeed_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long writedispose (const SetDifferentialWheelSpeed_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long writedispose_w_timestamp (const SetDifferentialWheelSpeed_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long get_key_value (SetDifferentialWheelSpeed_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const SetDifferentialWheelSpeed_Request_& instance_data) = 0;

            protected:
                SetDifferentialWheelSpeed_Request_DataWriter () {};
                ~SetDifferentialWheelSpeed_Request_DataWriter () {};
            private:
                SetDifferentialWheelSpeed_Request_DataWriter (const SetDifferentialWheelSpeed_Request_DataWriter &);
                SetDifferentialWheelSpeed_Request_DataWriter & operator = (const SetDifferentialWheelSpeed_Request_DataWriter &);
            };

            class  SetDifferentialWheelSpeed_Request_DataReader :
                virtual public DDS::DataReader
            { 
            public:
                typedef SetDifferentialWheelSpeed_Request_DataReader_ptr _ptr_type;
                typedef SetDifferentialWheelSpeed_Request_DataReader_var _var_type;

                static SetDifferentialWheelSpeed_Request_DataReader_ptr _duplicate (SetDifferentialWheelSpeed_Request_DataReader_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SetDifferentialWheelSpeed_Request_DataReader_ptr _narrow (DDS::Object_ptr obj);
                static SetDifferentialWheelSpeed_Request_DataReader_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SetDifferentialWheelSpeed_Request_DataReader_ptr _nil () { return 0; }
                static const char * _local_id;
                SetDifferentialWheelSpeed_Request_DataReader_ptr _this () { return this; }

                virtual DDS::Long read (SetDifferentialWheelSpeed_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (SetDifferentialWheelSpeed_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (SetDifferentialWheelSpeed_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (SetDifferentialWheelSpeed_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (SetDifferentialWheelSpeed_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (SetDifferentialWheelSpeed_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (SetDifferentialWheelSpeed_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (SetDifferentialWheelSpeed_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (SetDifferentialWheelSpeed_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (SetDifferentialWheelSpeed_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (SetDifferentialWheelSpeed_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (SetDifferentialWheelSpeed_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (SetDifferentialWheelSpeed_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (SetDifferentialWheelSpeed_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const SetDifferentialWheelSpeed_Request_& instance) = 0;

            protected:
                SetDifferentialWheelSpeed_Request_DataReader () {};
                ~SetDifferentialWheelSpeed_Request_DataReader () {};
            private:
                SetDifferentialWheelSpeed_Request_DataReader (const SetDifferentialWheelSpeed_Request_DataReader &);
                SetDifferentialWheelSpeed_Request_DataReader & operator = (const SetDifferentialWheelSpeed_Request_DataReader &);
            };

            class  SetDifferentialWheelSpeed_Request_DataReaderView :
                virtual public DDS::DataReaderView
            { 
            public:
                typedef SetDifferentialWheelSpeed_Request_DataReaderView_ptr _ptr_type;
                typedef SetDifferentialWheelSpeed_Request_DataReaderView_var _var_type;

                static SetDifferentialWheelSpeed_Request_DataReaderView_ptr _duplicate (SetDifferentialWheelSpeed_Request_DataReaderView_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SetDifferentialWheelSpeed_Request_DataReaderView_ptr _narrow (DDS::Object_ptr obj);
                static SetDifferentialWheelSpeed_Request_DataReaderView_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SetDifferentialWheelSpeed_Request_DataReaderView_ptr _nil () { return 0; }
                static const char * _local_id;
                SetDifferentialWheelSpeed_Request_DataReaderView_ptr _this () { return this; }

                virtual DDS::Long read (SetDifferentialWheelSpeed_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (SetDifferentialWheelSpeed_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (SetDifferentialWheelSpeed_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (SetDifferentialWheelSpeed_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (SetDifferentialWheelSpeed_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (SetDifferentialWheelSpeed_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (SetDifferentialWheelSpeed_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (SetDifferentialWheelSpeed_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (SetDifferentialWheelSpeed_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (SetDifferentialWheelSpeed_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (SetDifferentialWheelSpeed_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (SetDifferentialWheelSpeed_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (SetDifferentialWheelSpeed_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (SetDifferentialWheelSpeed_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const SetDifferentialWheelSpeed_Request_& instance) = 0;

            protected:
                SetDifferentialWheelSpeed_Request_DataReaderView () {};
                ~SetDifferentialWheelSpeed_Request_DataReaderView () {};
            private:
                SetDifferentialWheelSpeed_Request_DataReaderView (const SetDifferentialWheelSpeed_Request_DataReaderView &);
                SetDifferentialWheelSpeed_Request_DataReaderView & operator = (const SetDifferentialWheelSpeed_Request_DataReaderView &);
            };
            class SetDifferentialWheelSpeed_Response_TypeSupportInterface;

            typedef SetDifferentialWheelSpeed_Response_TypeSupportInterface * SetDifferentialWheelSpeed_Response_TypeSupportInterface_ptr;
            typedef DDS_DCPSInterface_var < SetDifferentialWheelSpeed_Response_TypeSupportInterface> SetDifferentialWheelSpeed_Response_TypeSupportInterface_var;
            typedef DDS_DCPSInterface_out < SetDifferentialWheelSpeed_Response_TypeSupportInterface> SetDifferentialWheelSpeed_Response_TypeSupportInterface_out;


            class SetDifferentialWheelSpeed_Response_DataWriter;

            typedef SetDifferentialWheelSpeed_Response_DataWriter * SetDifferentialWheelSpeed_Response_DataWriter_ptr;
            typedef DDS_DCPSInterface_var < SetDifferentialWheelSpeed_Response_DataWriter> SetDifferentialWheelSpeed_Response_DataWriter_var;
            typedef DDS_DCPSInterface_out < SetDifferentialWheelSpeed_Response_DataWriter> SetDifferentialWheelSpeed_Response_DataWriter_out;


            class SetDifferentialWheelSpeed_Response_DataReader;

            typedef SetDifferentialWheelSpeed_Response_DataReader * SetDifferentialWheelSpeed_Response_DataReader_ptr;
            typedef DDS_DCPSInterface_var < SetDifferentialWheelSpeed_Response_DataReader> SetDifferentialWheelSpeed_Response_DataReader_var;
            typedef DDS_DCPSInterface_out < SetDifferentialWheelSpeed_Response_DataReader> SetDifferentialWheelSpeed_Response_DataReader_out;


            class SetDifferentialWheelSpeed_Response_DataReaderView;

            typedef SetDifferentialWheelSpeed_Response_DataReaderView * SetDifferentialWheelSpeed_Response_DataReaderView_ptr;
            typedef DDS_DCPSInterface_var < SetDifferentialWheelSpeed_Response_DataReaderView> SetDifferentialWheelSpeed_Response_DataReaderView_var;
            typedef DDS_DCPSInterface_out < SetDifferentialWheelSpeed_Response_DataReaderView> SetDifferentialWheelSpeed_Response_DataReaderView_out;

            struct SetDifferentialWheelSpeed_Response_Seq_uniq_ {};
            typedef DDS_DCPSUFLSeq < SetDifferentialWheelSpeed_Response_, struct SetDifferentialWheelSpeed_Response_Seq_uniq_> SetDifferentialWheelSpeed_Response_Seq;
            typedef DDS_DCPSSequence_var < SetDifferentialWheelSpeed_Response_Seq> SetDifferentialWheelSpeed_Response_Seq_var;
            typedef DDS_DCPSSequence_out < SetDifferentialWheelSpeed_Response_Seq> SetDifferentialWheelSpeed_Response_Seq_out;

            class  SetDifferentialWheelSpeed_Response_TypeSupportInterface :
                virtual public DDS::TypeSupport
            { 
            public:
                typedef SetDifferentialWheelSpeed_Response_TypeSupportInterface_ptr _ptr_type;
                typedef SetDifferentialWheelSpeed_Response_TypeSupportInterface_var _var_type;

                static SetDifferentialWheelSpeed_Response_TypeSupportInterface_ptr _duplicate (SetDifferentialWheelSpeed_Response_TypeSupportInterface_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SetDifferentialWheelSpeed_Response_TypeSupportInterface_ptr _narrow (DDS::Object_ptr obj);
                static SetDifferentialWheelSpeed_Response_TypeSupportInterface_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SetDifferentialWheelSpeed_Response_TypeSupportInterface_ptr _nil () { return 0; }
                static const char * _local_id;
                SetDifferentialWheelSpeed_Response_TypeSupportInterface_ptr _this () { return this; }


            protected:
                SetDifferentialWheelSpeed_Response_TypeSupportInterface () {};
                ~SetDifferentialWheelSpeed_Response_TypeSupportInterface () {};
            private:
                SetDifferentialWheelSpeed_Response_TypeSupportInterface (const SetDifferentialWheelSpeed_Response_TypeSupportInterface &);
                SetDifferentialWheelSpeed_Response_TypeSupportInterface & operator = (const SetDifferentialWheelSpeed_Response_TypeSupportInterface &);
            };

            class  SetDifferentialWheelSpeed_Response_DataWriter :
                virtual public DDS::DataWriter
            { 
            public:
                typedef SetDifferentialWheelSpeed_Response_DataWriter_ptr _ptr_type;
                typedef SetDifferentialWheelSpeed_Response_DataWriter_var _var_type;

                static SetDifferentialWheelSpeed_Response_DataWriter_ptr _duplicate (SetDifferentialWheelSpeed_Response_DataWriter_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SetDifferentialWheelSpeed_Response_DataWriter_ptr _narrow (DDS::Object_ptr obj);
                static SetDifferentialWheelSpeed_Response_DataWriter_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SetDifferentialWheelSpeed_Response_DataWriter_ptr _nil () { return 0; }
                static const char * _local_id;
                SetDifferentialWheelSpeed_Response_DataWriter_ptr _this () { return this; }

                virtual DDS::LongLong register_instance (const SetDifferentialWheelSpeed_Response_& instance_data) = 0;
                virtual DDS::LongLong register_instance_w_timestamp (const SetDifferentialWheelSpeed_Response_& instance_data, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long unregister_instance (const SetDifferentialWheelSpeed_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long unregister_instance_w_timestamp (const SetDifferentialWheelSpeed_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long write (const SetDifferentialWheelSpeed_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long write_w_timestamp (const SetDifferentialWheelSpeed_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long dispose (const SetDifferentialWheelSpeed_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long dispose_w_timestamp (const SetDifferentialWheelSpeed_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long writedispose (const SetDifferentialWheelSpeed_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long writedispose_w_timestamp (const SetDifferentialWheelSpeed_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long get_key_value (SetDifferentialWheelSpeed_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const SetDifferentialWheelSpeed_Response_& instance_data) = 0;

            protected:
                SetDifferentialWheelSpeed_Response_DataWriter () {};
                ~SetDifferentialWheelSpeed_Response_DataWriter () {};
            private:
                SetDifferentialWheelSpeed_Response_DataWriter (const SetDifferentialWheelSpeed_Response_DataWriter &);
                SetDifferentialWheelSpeed_Response_DataWriter & operator = (const SetDifferentialWheelSpeed_Response_DataWriter &);
            };

            class  SetDifferentialWheelSpeed_Response_DataReader :
                virtual public DDS::DataReader
            { 
            public:
                typedef SetDifferentialWheelSpeed_Response_DataReader_ptr _ptr_type;
                typedef SetDifferentialWheelSpeed_Response_DataReader_var _var_type;

                static SetDifferentialWheelSpeed_Response_DataReader_ptr _duplicate (SetDifferentialWheelSpeed_Response_DataReader_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SetDifferentialWheelSpeed_Response_DataReader_ptr _narrow (DDS::Object_ptr obj);
                static SetDifferentialWheelSpeed_Response_DataReader_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SetDifferentialWheelSpeed_Response_DataReader_ptr _nil () { return 0; }
                static const char * _local_id;
                SetDifferentialWheelSpeed_Response_DataReader_ptr _this () { return this; }

                virtual DDS::Long read (SetDifferentialWheelSpeed_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (SetDifferentialWheelSpeed_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (SetDifferentialWheelSpeed_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (SetDifferentialWheelSpeed_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (SetDifferentialWheelSpeed_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (SetDifferentialWheelSpeed_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (SetDifferentialWheelSpeed_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (SetDifferentialWheelSpeed_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (SetDifferentialWheelSpeed_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (SetDifferentialWheelSpeed_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (SetDifferentialWheelSpeed_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (SetDifferentialWheelSpeed_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (SetDifferentialWheelSpeed_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (SetDifferentialWheelSpeed_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const SetDifferentialWheelSpeed_Response_& instance) = 0;

            protected:
                SetDifferentialWheelSpeed_Response_DataReader () {};
                ~SetDifferentialWheelSpeed_Response_DataReader () {};
            private:
                SetDifferentialWheelSpeed_Response_DataReader (const SetDifferentialWheelSpeed_Response_DataReader &);
                SetDifferentialWheelSpeed_Response_DataReader & operator = (const SetDifferentialWheelSpeed_Response_DataReader &);
            };

            class  SetDifferentialWheelSpeed_Response_DataReaderView :
                virtual public DDS::DataReaderView
            { 
            public:
                typedef SetDifferentialWheelSpeed_Response_DataReaderView_ptr _ptr_type;
                typedef SetDifferentialWheelSpeed_Response_DataReaderView_var _var_type;

                static SetDifferentialWheelSpeed_Response_DataReaderView_ptr _duplicate (SetDifferentialWheelSpeed_Response_DataReaderView_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SetDifferentialWheelSpeed_Response_DataReaderView_ptr _narrow (DDS::Object_ptr obj);
                static SetDifferentialWheelSpeed_Response_DataReaderView_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SetDifferentialWheelSpeed_Response_DataReaderView_ptr _nil () { return 0; }
                static const char * _local_id;
                SetDifferentialWheelSpeed_Response_DataReaderView_ptr _this () { return this; }

                virtual DDS::Long read (SetDifferentialWheelSpeed_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (SetDifferentialWheelSpeed_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (SetDifferentialWheelSpeed_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (SetDifferentialWheelSpeed_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (SetDifferentialWheelSpeed_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (SetDifferentialWheelSpeed_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (SetDifferentialWheelSpeed_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (SetDifferentialWheelSpeed_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (SetDifferentialWheelSpeed_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (SetDifferentialWheelSpeed_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (SetDifferentialWheelSpeed_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (SetDifferentialWheelSpeed_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (SetDifferentialWheelSpeed_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (SetDifferentialWheelSpeed_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const SetDifferentialWheelSpeed_Response_& instance) = 0;

            protected:
                SetDifferentialWheelSpeed_Response_DataReaderView () {};
                ~SetDifferentialWheelSpeed_Response_DataReaderView () {};
            private:
                SetDifferentialWheelSpeed_Response_DataReaderView (const SetDifferentialWheelSpeed_Response_DataReaderView &);
                SetDifferentialWheelSpeed_Response_DataReaderView & operator = (const SetDifferentialWheelSpeed_Response_DataReaderView &);
            };
            class Sample_SetDifferentialWheelSpeed_Request_TypeSupportInterface;

            typedef Sample_SetDifferentialWheelSpeed_Request_TypeSupportInterface * Sample_SetDifferentialWheelSpeed_Request_TypeSupportInterface_ptr;
            typedef DDS_DCPSInterface_var < Sample_SetDifferentialWheelSpeed_Request_TypeSupportInterface> Sample_SetDifferentialWheelSpeed_Request_TypeSupportInterface_var;
            typedef DDS_DCPSInterface_out < Sample_SetDifferentialWheelSpeed_Request_TypeSupportInterface> Sample_SetDifferentialWheelSpeed_Request_TypeSupportInterface_out;


            class Sample_SetDifferentialWheelSpeed_Request_DataWriter;

            typedef Sample_SetDifferentialWheelSpeed_Request_DataWriter * Sample_SetDifferentialWheelSpeed_Request_DataWriter_ptr;
            typedef DDS_DCPSInterface_var < Sample_SetDifferentialWheelSpeed_Request_DataWriter> Sample_SetDifferentialWheelSpeed_Request_DataWriter_var;
            typedef DDS_DCPSInterface_out < Sample_SetDifferentialWheelSpeed_Request_DataWriter> Sample_SetDifferentialWheelSpeed_Request_DataWriter_out;


            class Sample_SetDifferentialWheelSpeed_Request_DataReader;

            typedef Sample_SetDifferentialWheelSpeed_Request_DataReader * Sample_SetDifferentialWheelSpeed_Request_DataReader_ptr;
            typedef DDS_DCPSInterface_var < Sample_SetDifferentialWheelSpeed_Request_DataReader> Sample_SetDifferentialWheelSpeed_Request_DataReader_var;
            typedef DDS_DCPSInterface_out < Sample_SetDifferentialWheelSpeed_Request_DataReader> Sample_SetDifferentialWheelSpeed_Request_DataReader_out;


            class Sample_SetDifferentialWheelSpeed_Request_DataReaderView;

            typedef Sample_SetDifferentialWheelSpeed_Request_DataReaderView * Sample_SetDifferentialWheelSpeed_Request_DataReaderView_ptr;
            typedef DDS_DCPSInterface_var < Sample_SetDifferentialWheelSpeed_Request_DataReaderView> Sample_SetDifferentialWheelSpeed_Request_DataReaderView_var;
            typedef DDS_DCPSInterface_out < Sample_SetDifferentialWheelSpeed_Request_DataReaderView> Sample_SetDifferentialWheelSpeed_Request_DataReaderView_out;

            struct Sample_SetDifferentialWheelSpeed_Request_Seq_uniq_ {};
            typedef DDS_DCPSUFLSeq < Sample_SetDifferentialWheelSpeed_Request_, struct Sample_SetDifferentialWheelSpeed_Request_Seq_uniq_> Sample_SetDifferentialWheelSpeed_Request_Seq;
            typedef DDS_DCPSSequence_var < Sample_SetDifferentialWheelSpeed_Request_Seq> Sample_SetDifferentialWheelSpeed_Request_Seq_var;
            typedef DDS_DCPSSequence_out < Sample_SetDifferentialWheelSpeed_Request_Seq> Sample_SetDifferentialWheelSpeed_Request_Seq_out;

            class  Sample_SetDifferentialWheelSpeed_Request_TypeSupportInterface :
                virtual public DDS::TypeSupport
            { 
            public:
                typedef Sample_SetDifferentialWheelSpeed_Request_TypeSupportInterface_ptr _ptr_type;
                typedef Sample_SetDifferentialWheelSpeed_Request_TypeSupportInterface_var _var_type;

                static Sample_SetDifferentialWheelSpeed_Request_TypeSupportInterface_ptr _duplicate (Sample_SetDifferentialWheelSpeed_Request_TypeSupportInterface_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_SetDifferentialWheelSpeed_Request_TypeSupportInterface_ptr _narrow (DDS::Object_ptr obj);
                static Sample_SetDifferentialWheelSpeed_Request_TypeSupportInterface_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_SetDifferentialWheelSpeed_Request_TypeSupportInterface_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_SetDifferentialWheelSpeed_Request_TypeSupportInterface_ptr _this () { return this; }


            protected:
                Sample_SetDifferentialWheelSpeed_Request_TypeSupportInterface () {};
                ~Sample_SetDifferentialWheelSpeed_Request_TypeSupportInterface () {};
            private:
                Sample_SetDifferentialWheelSpeed_Request_TypeSupportInterface (const Sample_SetDifferentialWheelSpeed_Request_TypeSupportInterface &);
                Sample_SetDifferentialWheelSpeed_Request_TypeSupportInterface & operator = (const Sample_SetDifferentialWheelSpeed_Request_TypeSupportInterface &);
            };

            class  Sample_SetDifferentialWheelSpeed_Request_DataWriter :
                virtual public DDS::DataWriter
            { 
            public:
                typedef Sample_SetDifferentialWheelSpeed_Request_DataWriter_ptr _ptr_type;
                typedef Sample_SetDifferentialWheelSpeed_Request_DataWriter_var _var_type;

                static Sample_SetDifferentialWheelSpeed_Request_DataWriter_ptr _duplicate (Sample_SetDifferentialWheelSpeed_Request_DataWriter_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_SetDifferentialWheelSpeed_Request_DataWriter_ptr _narrow (DDS::Object_ptr obj);
                static Sample_SetDifferentialWheelSpeed_Request_DataWriter_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_SetDifferentialWheelSpeed_Request_DataWriter_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_SetDifferentialWheelSpeed_Request_DataWriter_ptr _this () { return this; }

                virtual DDS::LongLong register_instance (const Sample_SetDifferentialWheelSpeed_Request_& instance_data) = 0;
                virtual DDS::LongLong register_instance_w_timestamp (const Sample_SetDifferentialWheelSpeed_Request_& instance_data, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long unregister_instance (const Sample_SetDifferentialWheelSpeed_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long unregister_instance_w_timestamp (const Sample_SetDifferentialWheelSpeed_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long write (const Sample_SetDifferentialWheelSpeed_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long write_w_timestamp (const Sample_SetDifferentialWheelSpeed_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long dispose (const Sample_SetDifferentialWheelSpeed_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long dispose_w_timestamp (const Sample_SetDifferentialWheelSpeed_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long writedispose (const Sample_SetDifferentialWheelSpeed_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long writedispose_w_timestamp (const Sample_SetDifferentialWheelSpeed_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long get_key_value (Sample_SetDifferentialWheelSpeed_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_SetDifferentialWheelSpeed_Request_& instance_data) = 0;

            protected:
                Sample_SetDifferentialWheelSpeed_Request_DataWriter () {};
                ~Sample_SetDifferentialWheelSpeed_Request_DataWriter () {};
            private:
                Sample_SetDifferentialWheelSpeed_Request_DataWriter (const Sample_SetDifferentialWheelSpeed_Request_DataWriter &);
                Sample_SetDifferentialWheelSpeed_Request_DataWriter & operator = (const Sample_SetDifferentialWheelSpeed_Request_DataWriter &);
            };

            class  Sample_SetDifferentialWheelSpeed_Request_DataReader :
                virtual public DDS::DataReader
            { 
            public:
                typedef Sample_SetDifferentialWheelSpeed_Request_DataReader_ptr _ptr_type;
                typedef Sample_SetDifferentialWheelSpeed_Request_DataReader_var _var_type;

                static Sample_SetDifferentialWheelSpeed_Request_DataReader_ptr _duplicate (Sample_SetDifferentialWheelSpeed_Request_DataReader_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_SetDifferentialWheelSpeed_Request_DataReader_ptr _narrow (DDS::Object_ptr obj);
                static Sample_SetDifferentialWheelSpeed_Request_DataReader_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_SetDifferentialWheelSpeed_Request_DataReader_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_SetDifferentialWheelSpeed_Request_DataReader_ptr _this () { return this; }

                virtual DDS::Long read (Sample_SetDifferentialWheelSpeed_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Sample_SetDifferentialWheelSpeed_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Sample_SetDifferentialWheelSpeed_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Sample_SetDifferentialWheelSpeed_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Sample_SetDifferentialWheelSpeed_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Sample_SetDifferentialWheelSpeed_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Sample_SetDifferentialWheelSpeed_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Sample_SetDifferentialWheelSpeed_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Sample_SetDifferentialWheelSpeed_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Sample_SetDifferentialWheelSpeed_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Sample_SetDifferentialWheelSpeed_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Sample_SetDifferentialWheelSpeed_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Sample_SetDifferentialWheelSpeed_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Sample_SetDifferentialWheelSpeed_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_SetDifferentialWheelSpeed_Request_& instance) = 0;

            protected:
                Sample_SetDifferentialWheelSpeed_Request_DataReader () {};
                ~Sample_SetDifferentialWheelSpeed_Request_DataReader () {};
            private:
                Sample_SetDifferentialWheelSpeed_Request_DataReader (const Sample_SetDifferentialWheelSpeed_Request_DataReader &);
                Sample_SetDifferentialWheelSpeed_Request_DataReader & operator = (const Sample_SetDifferentialWheelSpeed_Request_DataReader &);
            };

            class  Sample_SetDifferentialWheelSpeed_Request_DataReaderView :
                virtual public DDS::DataReaderView
            { 
            public:
                typedef Sample_SetDifferentialWheelSpeed_Request_DataReaderView_ptr _ptr_type;
                typedef Sample_SetDifferentialWheelSpeed_Request_DataReaderView_var _var_type;

                static Sample_SetDifferentialWheelSpeed_Request_DataReaderView_ptr _duplicate (Sample_SetDifferentialWheelSpeed_Request_DataReaderView_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_SetDifferentialWheelSpeed_Request_DataReaderView_ptr _narrow (DDS::Object_ptr obj);
                static Sample_SetDifferentialWheelSpeed_Request_DataReaderView_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_SetDifferentialWheelSpeed_Request_DataReaderView_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_SetDifferentialWheelSpeed_Request_DataReaderView_ptr _this () { return this; }

                virtual DDS::Long read (Sample_SetDifferentialWheelSpeed_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Sample_SetDifferentialWheelSpeed_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Sample_SetDifferentialWheelSpeed_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Sample_SetDifferentialWheelSpeed_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Sample_SetDifferentialWheelSpeed_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Sample_SetDifferentialWheelSpeed_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Sample_SetDifferentialWheelSpeed_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Sample_SetDifferentialWheelSpeed_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Sample_SetDifferentialWheelSpeed_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Sample_SetDifferentialWheelSpeed_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Sample_SetDifferentialWheelSpeed_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Sample_SetDifferentialWheelSpeed_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Sample_SetDifferentialWheelSpeed_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Sample_SetDifferentialWheelSpeed_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_SetDifferentialWheelSpeed_Request_& instance) = 0;

            protected:
                Sample_SetDifferentialWheelSpeed_Request_DataReaderView () {};
                ~Sample_SetDifferentialWheelSpeed_Request_DataReaderView () {};
            private:
                Sample_SetDifferentialWheelSpeed_Request_DataReaderView (const Sample_SetDifferentialWheelSpeed_Request_DataReaderView &);
                Sample_SetDifferentialWheelSpeed_Request_DataReaderView & operator = (const Sample_SetDifferentialWheelSpeed_Request_DataReaderView &);
            };
            class Sample_SetDifferentialWheelSpeed_Response_TypeSupportInterface;

            typedef Sample_SetDifferentialWheelSpeed_Response_TypeSupportInterface * Sample_SetDifferentialWheelSpeed_Response_TypeSupportInterface_ptr;
            typedef DDS_DCPSInterface_var < Sample_SetDifferentialWheelSpeed_Response_TypeSupportInterface> Sample_SetDifferentialWheelSpeed_Response_TypeSupportInterface_var;
            typedef DDS_DCPSInterface_out < Sample_SetDifferentialWheelSpeed_Response_TypeSupportInterface> Sample_SetDifferentialWheelSpeed_Response_TypeSupportInterface_out;


            class Sample_SetDifferentialWheelSpeed_Response_DataWriter;

            typedef Sample_SetDifferentialWheelSpeed_Response_DataWriter * Sample_SetDifferentialWheelSpeed_Response_DataWriter_ptr;
            typedef DDS_DCPSInterface_var < Sample_SetDifferentialWheelSpeed_Response_DataWriter> Sample_SetDifferentialWheelSpeed_Response_DataWriter_var;
            typedef DDS_DCPSInterface_out < Sample_SetDifferentialWheelSpeed_Response_DataWriter> Sample_SetDifferentialWheelSpeed_Response_DataWriter_out;


            class Sample_SetDifferentialWheelSpeed_Response_DataReader;

            typedef Sample_SetDifferentialWheelSpeed_Response_DataReader * Sample_SetDifferentialWheelSpeed_Response_DataReader_ptr;
            typedef DDS_DCPSInterface_var < Sample_SetDifferentialWheelSpeed_Response_DataReader> Sample_SetDifferentialWheelSpeed_Response_DataReader_var;
            typedef DDS_DCPSInterface_out < Sample_SetDifferentialWheelSpeed_Response_DataReader> Sample_SetDifferentialWheelSpeed_Response_DataReader_out;


            class Sample_SetDifferentialWheelSpeed_Response_DataReaderView;

            typedef Sample_SetDifferentialWheelSpeed_Response_DataReaderView * Sample_SetDifferentialWheelSpeed_Response_DataReaderView_ptr;
            typedef DDS_DCPSInterface_var < Sample_SetDifferentialWheelSpeed_Response_DataReaderView> Sample_SetDifferentialWheelSpeed_Response_DataReaderView_var;
            typedef DDS_DCPSInterface_out < Sample_SetDifferentialWheelSpeed_Response_DataReaderView> Sample_SetDifferentialWheelSpeed_Response_DataReaderView_out;

            struct Sample_SetDifferentialWheelSpeed_Response_Seq_uniq_ {};
            typedef DDS_DCPSUFLSeq < Sample_SetDifferentialWheelSpeed_Response_, struct Sample_SetDifferentialWheelSpeed_Response_Seq_uniq_> Sample_SetDifferentialWheelSpeed_Response_Seq;
            typedef DDS_DCPSSequence_var < Sample_SetDifferentialWheelSpeed_Response_Seq> Sample_SetDifferentialWheelSpeed_Response_Seq_var;
            typedef DDS_DCPSSequence_out < Sample_SetDifferentialWheelSpeed_Response_Seq> Sample_SetDifferentialWheelSpeed_Response_Seq_out;

            class  Sample_SetDifferentialWheelSpeed_Response_TypeSupportInterface :
                virtual public DDS::TypeSupport
            { 
            public:
                typedef Sample_SetDifferentialWheelSpeed_Response_TypeSupportInterface_ptr _ptr_type;
                typedef Sample_SetDifferentialWheelSpeed_Response_TypeSupportInterface_var _var_type;

                static Sample_SetDifferentialWheelSpeed_Response_TypeSupportInterface_ptr _duplicate (Sample_SetDifferentialWheelSpeed_Response_TypeSupportInterface_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_SetDifferentialWheelSpeed_Response_TypeSupportInterface_ptr _narrow (DDS::Object_ptr obj);
                static Sample_SetDifferentialWheelSpeed_Response_TypeSupportInterface_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_SetDifferentialWheelSpeed_Response_TypeSupportInterface_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_SetDifferentialWheelSpeed_Response_TypeSupportInterface_ptr _this () { return this; }


            protected:
                Sample_SetDifferentialWheelSpeed_Response_TypeSupportInterface () {};
                ~Sample_SetDifferentialWheelSpeed_Response_TypeSupportInterface () {};
            private:
                Sample_SetDifferentialWheelSpeed_Response_TypeSupportInterface (const Sample_SetDifferentialWheelSpeed_Response_TypeSupportInterface &);
                Sample_SetDifferentialWheelSpeed_Response_TypeSupportInterface & operator = (const Sample_SetDifferentialWheelSpeed_Response_TypeSupportInterface &);
            };

            class  Sample_SetDifferentialWheelSpeed_Response_DataWriter :
                virtual public DDS::DataWriter
            { 
            public:
                typedef Sample_SetDifferentialWheelSpeed_Response_DataWriter_ptr _ptr_type;
                typedef Sample_SetDifferentialWheelSpeed_Response_DataWriter_var _var_type;

                static Sample_SetDifferentialWheelSpeed_Response_DataWriter_ptr _duplicate (Sample_SetDifferentialWheelSpeed_Response_DataWriter_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_SetDifferentialWheelSpeed_Response_DataWriter_ptr _narrow (DDS::Object_ptr obj);
                static Sample_SetDifferentialWheelSpeed_Response_DataWriter_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_SetDifferentialWheelSpeed_Response_DataWriter_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_SetDifferentialWheelSpeed_Response_DataWriter_ptr _this () { return this; }

                virtual DDS::LongLong register_instance (const Sample_SetDifferentialWheelSpeed_Response_& instance_data) = 0;
                virtual DDS::LongLong register_instance_w_timestamp (const Sample_SetDifferentialWheelSpeed_Response_& instance_data, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long unregister_instance (const Sample_SetDifferentialWheelSpeed_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long unregister_instance_w_timestamp (const Sample_SetDifferentialWheelSpeed_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long write (const Sample_SetDifferentialWheelSpeed_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long write_w_timestamp (const Sample_SetDifferentialWheelSpeed_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long dispose (const Sample_SetDifferentialWheelSpeed_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long dispose_w_timestamp (const Sample_SetDifferentialWheelSpeed_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long writedispose (const Sample_SetDifferentialWheelSpeed_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long writedispose_w_timestamp (const Sample_SetDifferentialWheelSpeed_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long get_key_value (Sample_SetDifferentialWheelSpeed_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_SetDifferentialWheelSpeed_Response_& instance_data) = 0;

            protected:
                Sample_SetDifferentialWheelSpeed_Response_DataWriter () {};
                ~Sample_SetDifferentialWheelSpeed_Response_DataWriter () {};
            private:
                Sample_SetDifferentialWheelSpeed_Response_DataWriter (const Sample_SetDifferentialWheelSpeed_Response_DataWriter &);
                Sample_SetDifferentialWheelSpeed_Response_DataWriter & operator = (const Sample_SetDifferentialWheelSpeed_Response_DataWriter &);
            };

            class  Sample_SetDifferentialWheelSpeed_Response_DataReader :
                virtual public DDS::DataReader
            { 
            public:
                typedef Sample_SetDifferentialWheelSpeed_Response_DataReader_ptr _ptr_type;
                typedef Sample_SetDifferentialWheelSpeed_Response_DataReader_var _var_type;

                static Sample_SetDifferentialWheelSpeed_Response_DataReader_ptr _duplicate (Sample_SetDifferentialWheelSpeed_Response_DataReader_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_SetDifferentialWheelSpeed_Response_DataReader_ptr _narrow (DDS::Object_ptr obj);
                static Sample_SetDifferentialWheelSpeed_Response_DataReader_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_SetDifferentialWheelSpeed_Response_DataReader_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_SetDifferentialWheelSpeed_Response_DataReader_ptr _this () { return this; }

                virtual DDS::Long read (Sample_SetDifferentialWheelSpeed_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Sample_SetDifferentialWheelSpeed_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Sample_SetDifferentialWheelSpeed_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Sample_SetDifferentialWheelSpeed_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Sample_SetDifferentialWheelSpeed_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Sample_SetDifferentialWheelSpeed_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Sample_SetDifferentialWheelSpeed_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Sample_SetDifferentialWheelSpeed_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Sample_SetDifferentialWheelSpeed_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Sample_SetDifferentialWheelSpeed_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Sample_SetDifferentialWheelSpeed_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Sample_SetDifferentialWheelSpeed_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Sample_SetDifferentialWheelSpeed_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Sample_SetDifferentialWheelSpeed_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_SetDifferentialWheelSpeed_Response_& instance) = 0;

            protected:
                Sample_SetDifferentialWheelSpeed_Response_DataReader () {};
                ~Sample_SetDifferentialWheelSpeed_Response_DataReader () {};
            private:
                Sample_SetDifferentialWheelSpeed_Response_DataReader (const Sample_SetDifferentialWheelSpeed_Response_DataReader &);
                Sample_SetDifferentialWheelSpeed_Response_DataReader & operator = (const Sample_SetDifferentialWheelSpeed_Response_DataReader &);
            };

            class  Sample_SetDifferentialWheelSpeed_Response_DataReaderView :
                virtual public DDS::DataReaderView
            { 
            public:
                typedef Sample_SetDifferentialWheelSpeed_Response_DataReaderView_ptr _ptr_type;
                typedef Sample_SetDifferentialWheelSpeed_Response_DataReaderView_var _var_type;

                static Sample_SetDifferentialWheelSpeed_Response_DataReaderView_ptr _duplicate (Sample_SetDifferentialWheelSpeed_Response_DataReaderView_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_SetDifferentialWheelSpeed_Response_DataReaderView_ptr _narrow (DDS::Object_ptr obj);
                static Sample_SetDifferentialWheelSpeed_Response_DataReaderView_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_SetDifferentialWheelSpeed_Response_DataReaderView_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_SetDifferentialWheelSpeed_Response_DataReaderView_ptr _this () { return this; }

                virtual DDS::Long read (Sample_SetDifferentialWheelSpeed_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Sample_SetDifferentialWheelSpeed_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Sample_SetDifferentialWheelSpeed_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Sample_SetDifferentialWheelSpeed_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Sample_SetDifferentialWheelSpeed_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Sample_SetDifferentialWheelSpeed_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Sample_SetDifferentialWheelSpeed_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Sample_SetDifferentialWheelSpeed_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Sample_SetDifferentialWheelSpeed_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Sample_SetDifferentialWheelSpeed_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Sample_SetDifferentialWheelSpeed_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Sample_SetDifferentialWheelSpeed_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Sample_SetDifferentialWheelSpeed_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Sample_SetDifferentialWheelSpeed_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_SetDifferentialWheelSpeed_Response_& instance) = 0;

            protected:
                Sample_SetDifferentialWheelSpeed_Response_DataReaderView () {};
                ~Sample_SetDifferentialWheelSpeed_Response_DataReaderView () {};
            private:
                Sample_SetDifferentialWheelSpeed_Response_DataReaderView (const Sample_SetDifferentialWheelSpeed_Response_DataReaderView &);
                Sample_SetDifferentialWheelSpeed_Response_DataReaderView & operator = (const Sample_SetDifferentialWheelSpeed_Response_DataReaderView &);
            };
        }

    }

}

#endif
