#ifndef _H_BE1E2FDAAA1DC747D593C57003A618C4_SetInt__H_
#define _H_BE1E2FDAAA1DC747D593C57003A618C4_SetInt__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"


namespace webots_ros2_msgs
{
    namespace srv
    {
        namespace dds_
        {
            struct  SetInt_Request_
            {
                ::DDS::Long value_;
            };

            typedef DDS_DCPSStruct_var<SetInt_Request_> SetInt_Request__var;
            typedef SetInt_Request_& SetInt_Request__out;

            struct  SetInt_Response_
            {
                ::DDS::Boolean success_;
            };

            typedef DDS_DCPSStruct_var<SetInt_Response_> SetInt_Response__var;
            typedef SetInt_Response_& SetInt_Response__out;

            struct  Sample_SetInt_Request_
            {
                ::DDS::ULongLong client_guid_0_;
                ::DDS::ULongLong client_guid_1_;
                ::DDS::LongLong sequence_number_;
                ::webots_ros2_msgs::srv::dds_::SetInt_Request_ request_;
            };

            typedef DDS_DCPSStruct_var<Sample_SetInt_Request_> Sample_SetInt_Request__var;
            typedef Sample_SetInt_Request_& Sample_SetInt_Request__out;

            struct  Sample_SetInt_Response_
            {
                ::DDS::ULongLong client_guid_0_;
                ::DDS::ULongLong client_guid_1_;
                ::DDS::LongLong sequence_number_;
                ::webots_ros2_msgs::srv::dds_::SetInt_Response_ response_;
            };

            typedef DDS_DCPSStruct_var<Sample_SetInt_Response_> Sample_SetInt_Response__var;
            typedef Sample_SetInt_Response_& Sample_SetInt_Response__out;

        }

    }

}

#endif /* _H_BE1E2FDAAA1DC747D593C57003A618C4_SetInt__H_ */
