#ifndef _H_BE1E2FDAAA1DC747D593C57003A618C4_SetInt_DCPS_H_
#define _H_BE1E2FDAAA1DC747D593C57003A618C4_SetInt_DCPS_H_

#include "sacpp_mapping.h"
#include "dds_dcps.h"
#include "SetInt_.h"


namespace webots_ros2_msgs
{
    namespace srv
    {
        namespace dds_
        {
            class SetInt_Request_TypeSupportInterface;

            typedef SetInt_Request_TypeSupportInterface * SetInt_Request_TypeSupportInterface_ptr;
            typedef DDS_DCPSInterface_var < SetInt_Request_TypeSupportInterface> SetInt_Request_TypeSupportInterface_var;
            typedef DDS_DCPSInterface_out < SetInt_Request_TypeSupportInterface> SetInt_Request_TypeSupportInterface_out;


            class SetInt_Request_DataWriter;

            typedef SetInt_Request_DataWriter * SetInt_Request_DataWriter_ptr;
            typedef DDS_DCPSInterface_var < SetInt_Request_DataWriter> SetInt_Request_DataWriter_var;
            typedef DDS_DCPSInterface_out < SetInt_Request_DataWriter> SetInt_Request_DataWriter_out;


            class SetInt_Request_DataReader;

            typedef SetInt_Request_DataReader * SetInt_Request_DataReader_ptr;
            typedef DDS_DCPSInterface_var < SetInt_Request_DataReader> SetInt_Request_DataReader_var;
            typedef DDS_DCPSInterface_out < SetInt_Request_DataReader> SetInt_Request_DataReader_out;


            class SetInt_Request_DataReaderView;

            typedef SetInt_Request_DataReaderView * SetInt_Request_DataReaderView_ptr;
            typedef DDS_DCPSInterface_var < SetInt_Request_DataReaderView> SetInt_Request_DataReaderView_var;
            typedef DDS_DCPSInterface_out < SetInt_Request_DataReaderView> SetInt_Request_DataReaderView_out;

            struct SetInt_Request_Seq_uniq_ {};
            typedef DDS_DCPSUFLSeq < SetInt_Request_, struct SetInt_Request_Seq_uniq_> SetInt_Request_Seq;
            typedef DDS_DCPSSequence_var < SetInt_Request_Seq> SetInt_Request_Seq_var;
            typedef DDS_DCPSSequence_out < SetInt_Request_Seq> SetInt_Request_Seq_out;

            class  SetInt_Request_TypeSupportInterface :
                virtual public DDS::TypeSupport
            { 
            public:
                typedef SetInt_Request_TypeSupportInterface_ptr _ptr_type;
                typedef SetInt_Request_TypeSupportInterface_var _var_type;

                static SetInt_Request_TypeSupportInterface_ptr _duplicate (SetInt_Request_TypeSupportInterface_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SetInt_Request_TypeSupportInterface_ptr _narrow (DDS::Object_ptr obj);
                static SetInt_Request_TypeSupportInterface_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SetInt_Request_TypeSupportInterface_ptr _nil () { return 0; }
                static const char * _local_id;
                SetInt_Request_TypeSupportInterface_ptr _this () { return this; }


            protected:
                SetInt_Request_TypeSupportInterface () {};
                ~SetInt_Request_TypeSupportInterface () {};
            private:
                SetInt_Request_TypeSupportInterface (const SetInt_Request_TypeSupportInterface &);
                SetInt_Request_TypeSupportInterface & operator = (const SetInt_Request_TypeSupportInterface &);
            };

            class  SetInt_Request_DataWriter :
                virtual public DDS::DataWriter
            { 
            public:
                typedef SetInt_Request_DataWriter_ptr _ptr_type;
                typedef SetInt_Request_DataWriter_var _var_type;

                static SetInt_Request_DataWriter_ptr _duplicate (SetInt_Request_DataWriter_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SetInt_Request_DataWriter_ptr _narrow (DDS::Object_ptr obj);
                static SetInt_Request_DataWriter_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SetInt_Request_DataWriter_ptr _nil () { return 0; }
                static const char * _local_id;
                SetInt_Request_DataWriter_ptr _this () { return this; }

                virtual DDS::LongLong register_instance (const SetInt_Request_& instance_data) = 0;
                virtual DDS::LongLong register_instance_w_timestamp (const SetInt_Request_& instance_data, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long unregister_instance (const SetInt_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long unregister_instance_w_timestamp (const SetInt_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long write (const SetInt_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long write_w_timestamp (const SetInt_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long dispose (const SetInt_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long dispose_w_timestamp (const SetInt_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long writedispose (const SetInt_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long writedispose_w_timestamp (const SetInt_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long get_key_value (SetInt_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const SetInt_Request_& instance_data) = 0;

            protected:
                SetInt_Request_DataWriter () {};
                ~SetInt_Request_DataWriter () {};
            private:
                SetInt_Request_DataWriter (const SetInt_Request_DataWriter &);
                SetInt_Request_DataWriter & operator = (const SetInt_Request_DataWriter &);
            };

            class  SetInt_Request_DataReader :
                virtual public DDS::DataReader
            { 
            public:
                typedef SetInt_Request_DataReader_ptr _ptr_type;
                typedef SetInt_Request_DataReader_var _var_type;

                static SetInt_Request_DataReader_ptr _duplicate (SetInt_Request_DataReader_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SetInt_Request_DataReader_ptr _narrow (DDS::Object_ptr obj);
                static SetInt_Request_DataReader_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SetInt_Request_DataReader_ptr _nil () { return 0; }
                static const char * _local_id;
                SetInt_Request_DataReader_ptr _this () { return this; }

                virtual DDS::Long read (SetInt_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (SetInt_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (SetInt_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (SetInt_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (SetInt_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (SetInt_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (SetInt_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (SetInt_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (SetInt_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (SetInt_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (SetInt_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (SetInt_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (SetInt_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (SetInt_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const SetInt_Request_& instance) = 0;

            protected:
                SetInt_Request_DataReader () {};
                ~SetInt_Request_DataReader () {};
            private:
                SetInt_Request_DataReader (const SetInt_Request_DataReader &);
                SetInt_Request_DataReader & operator = (const SetInt_Request_DataReader &);
            };

            class  SetInt_Request_DataReaderView :
                virtual public DDS::DataReaderView
            { 
            public:
                typedef SetInt_Request_DataReaderView_ptr _ptr_type;
                typedef SetInt_Request_DataReaderView_var _var_type;

                static SetInt_Request_DataReaderView_ptr _duplicate (SetInt_Request_DataReaderView_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SetInt_Request_DataReaderView_ptr _narrow (DDS::Object_ptr obj);
                static SetInt_Request_DataReaderView_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SetInt_Request_DataReaderView_ptr _nil () { return 0; }
                static const char * _local_id;
                SetInt_Request_DataReaderView_ptr _this () { return this; }

                virtual DDS::Long read (SetInt_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (SetInt_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (SetInt_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (SetInt_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (SetInt_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (SetInt_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (SetInt_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (SetInt_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (SetInt_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (SetInt_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (SetInt_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (SetInt_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (SetInt_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (SetInt_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const SetInt_Request_& instance) = 0;

            protected:
                SetInt_Request_DataReaderView () {};
                ~SetInt_Request_DataReaderView () {};
            private:
                SetInt_Request_DataReaderView (const SetInt_Request_DataReaderView &);
                SetInt_Request_DataReaderView & operator = (const SetInt_Request_DataReaderView &);
            };
            class SetInt_Response_TypeSupportInterface;

            typedef SetInt_Response_TypeSupportInterface * SetInt_Response_TypeSupportInterface_ptr;
            typedef DDS_DCPSInterface_var < SetInt_Response_TypeSupportInterface> SetInt_Response_TypeSupportInterface_var;
            typedef DDS_DCPSInterface_out < SetInt_Response_TypeSupportInterface> SetInt_Response_TypeSupportInterface_out;


            class SetInt_Response_DataWriter;

            typedef SetInt_Response_DataWriter * SetInt_Response_DataWriter_ptr;
            typedef DDS_DCPSInterface_var < SetInt_Response_DataWriter> SetInt_Response_DataWriter_var;
            typedef DDS_DCPSInterface_out < SetInt_Response_DataWriter> SetInt_Response_DataWriter_out;


            class SetInt_Response_DataReader;

            typedef SetInt_Response_DataReader * SetInt_Response_DataReader_ptr;
            typedef DDS_DCPSInterface_var < SetInt_Response_DataReader> SetInt_Response_DataReader_var;
            typedef DDS_DCPSInterface_out < SetInt_Response_DataReader> SetInt_Response_DataReader_out;


            class SetInt_Response_DataReaderView;

            typedef SetInt_Response_DataReaderView * SetInt_Response_DataReaderView_ptr;
            typedef DDS_DCPSInterface_var < SetInt_Response_DataReaderView> SetInt_Response_DataReaderView_var;
            typedef DDS_DCPSInterface_out < SetInt_Response_DataReaderView> SetInt_Response_DataReaderView_out;

            struct SetInt_Response_Seq_uniq_ {};
            typedef DDS_DCPSUFLSeq < SetInt_Response_, struct SetInt_Response_Seq_uniq_> SetInt_Response_Seq;
            typedef DDS_DCPSSequence_var < SetInt_Response_Seq> SetInt_Response_Seq_var;
            typedef DDS_DCPSSequence_out < SetInt_Response_Seq> SetInt_Response_Seq_out;

            class  SetInt_Response_TypeSupportInterface :
                virtual public DDS::TypeSupport
            { 
            public:
                typedef SetInt_Response_TypeSupportInterface_ptr _ptr_type;
                typedef SetInt_Response_TypeSupportInterface_var _var_type;

                static SetInt_Response_TypeSupportInterface_ptr _duplicate (SetInt_Response_TypeSupportInterface_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SetInt_Response_TypeSupportInterface_ptr _narrow (DDS::Object_ptr obj);
                static SetInt_Response_TypeSupportInterface_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SetInt_Response_TypeSupportInterface_ptr _nil () { return 0; }
                static const char * _local_id;
                SetInt_Response_TypeSupportInterface_ptr _this () { return this; }


            protected:
                SetInt_Response_TypeSupportInterface () {};
                ~SetInt_Response_TypeSupportInterface () {};
            private:
                SetInt_Response_TypeSupportInterface (const SetInt_Response_TypeSupportInterface &);
                SetInt_Response_TypeSupportInterface & operator = (const SetInt_Response_TypeSupportInterface &);
            };

            class  SetInt_Response_DataWriter :
                virtual public DDS::DataWriter
            { 
            public:
                typedef SetInt_Response_DataWriter_ptr _ptr_type;
                typedef SetInt_Response_DataWriter_var _var_type;

                static SetInt_Response_DataWriter_ptr _duplicate (SetInt_Response_DataWriter_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SetInt_Response_DataWriter_ptr _narrow (DDS::Object_ptr obj);
                static SetInt_Response_DataWriter_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SetInt_Response_DataWriter_ptr _nil () { return 0; }
                static const char * _local_id;
                SetInt_Response_DataWriter_ptr _this () { return this; }

                virtual DDS::LongLong register_instance (const SetInt_Response_& instance_data) = 0;
                virtual DDS::LongLong register_instance_w_timestamp (const SetInt_Response_& instance_data, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long unregister_instance (const SetInt_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long unregister_instance_w_timestamp (const SetInt_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long write (const SetInt_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long write_w_timestamp (const SetInt_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long dispose (const SetInt_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long dispose_w_timestamp (const SetInt_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long writedispose (const SetInt_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long writedispose_w_timestamp (const SetInt_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long get_key_value (SetInt_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const SetInt_Response_& instance_data) = 0;

            protected:
                SetInt_Response_DataWriter () {};
                ~SetInt_Response_DataWriter () {};
            private:
                SetInt_Response_DataWriter (const SetInt_Response_DataWriter &);
                SetInt_Response_DataWriter & operator = (const SetInt_Response_DataWriter &);
            };

            class  SetInt_Response_DataReader :
                virtual public DDS::DataReader
            { 
            public:
                typedef SetInt_Response_DataReader_ptr _ptr_type;
                typedef SetInt_Response_DataReader_var _var_type;

                static SetInt_Response_DataReader_ptr _duplicate (SetInt_Response_DataReader_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SetInt_Response_DataReader_ptr _narrow (DDS::Object_ptr obj);
                static SetInt_Response_DataReader_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SetInt_Response_DataReader_ptr _nil () { return 0; }
                static const char * _local_id;
                SetInt_Response_DataReader_ptr _this () { return this; }

                virtual DDS::Long read (SetInt_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (SetInt_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (SetInt_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (SetInt_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (SetInt_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (SetInt_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (SetInt_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (SetInt_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (SetInt_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (SetInt_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (SetInt_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (SetInt_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (SetInt_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (SetInt_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const SetInt_Response_& instance) = 0;

            protected:
                SetInt_Response_DataReader () {};
                ~SetInt_Response_DataReader () {};
            private:
                SetInt_Response_DataReader (const SetInt_Response_DataReader &);
                SetInt_Response_DataReader & operator = (const SetInt_Response_DataReader &);
            };

            class  SetInt_Response_DataReaderView :
                virtual public DDS::DataReaderView
            { 
            public:
                typedef SetInt_Response_DataReaderView_ptr _ptr_type;
                typedef SetInt_Response_DataReaderView_var _var_type;

                static SetInt_Response_DataReaderView_ptr _duplicate (SetInt_Response_DataReaderView_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static SetInt_Response_DataReaderView_ptr _narrow (DDS::Object_ptr obj);
                static SetInt_Response_DataReaderView_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static SetInt_Response_DataReaderView_ptr _nil () { return 0; }
                static const char * _local_id;
                SetInt_Response_DataReaderView_ptr _this () { return this; }

                virtual DDS::Long read (SetInt_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (SetInt_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (SetInt_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (SetInt_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (SetInt_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (SetInt_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (SetInt_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (SetInt_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (SetInt_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (SetInt_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (SetInt_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (SetInt_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (SetInt_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (SetInt_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const SetInt_Response_& instance) = 0;

            protected:
                SetInt_Response_DataReaderView () {};
                ~SetInt_Response_DataReaderView () {};
            private:
                SetInt_Response_DataReaderView (const SetInt_Response_DataReaderView &);
                SetInt_Response_DataReaderView & operator = (const SetInt_Response_DataReaderView &);
            };
            class Sample_SetInt_Request_TypeSupportInterface;

            typedef Sample_SetInt_Request_TypeSupportInterface * Sample_SetInt_Request_TypeSupportInterface_ptr;
            typedef DDS_DCPSInterface_var < Sample_SetInt_Request_TypeSupportInterface> Sample_SetInt_Request_TypeSupportInterface_var;
            typedef DDS_DCPSInterface_out < Sample_SetInt_Request_TypeSupportInterface> Sample_SetInt_Request_TypeSupportInterface_out;


            class Sample_SetInt_Request_DataWriter;

            typedef Sample_SetInt_Request_DataWriter * Sample_SetInt_Request_DataWriter_ptr;
            typedef DDS_DCPSInterface_var < Sample_SetInt_Request_DataWriter> Sample_SetInt_Request_DataWriter_var;
            typedef DDS_DCPSInterface_out < Sample_SetInt_Request_DataWriter> Sample_SetInt_Request_DataWriter_out;


            class Sample_SetInt_Request_DataReader;

            typedef Sample_SetInt_Request_DataReader * Sample_SetInt_Request_DataReader_ptr;
            typedef DDS_DCPSInterface_var < Sample_SetInt_Request_DataReader> Sample_SetInt_Request_DataReader_var;
            typedef DDS_DCPSInterface_out < Sample_SetInt_Request_DataReader> Sample_SetInt_Request_DataReader_out;


            class Sample_SetInt_Request_DataReaderView;

            typedef Sample_SetInt_Request_DataReaderView * Sample_SetInt_Request_DataReaderView_ptr;
            typedef DDS_DCPSInterface_var < Sample_SetInt_Request_DataReaderView> Sample_SetInt_Request_DataReaderView_var;
            typedef DDS_DCPSInterface_out < Sample_SetInt_Request_DataReaderView> Sample_SetInt_Request_DataReaderView_out;

            struct Sample_SetInt_Request_Seq_uniq_ {};
            typedef DDS_DCPSUFLSeq < Sample_SetInt_Request_, struct Sample_SetInt_Request_Seq_uniq_> Sample_SetInt_Request_Seq;
            typedef DDS_DCPSSequence_var < Sample_SetInt_Request_Seq> Sample_SetInt_Request_Seq_var;
            typedef DDS_DCPSSequence_out < Sample_SetInt_Request_Seq> Sample_SetInt_Request_Seq_out;

            class  Sample_SetInt_Request_TypeSupportInterface :
                virtual public DDS::TypeSupport
            { 
            public:
                typedef Sample_SetInt_Request_TypeSupportInterface_ptr _ptr_type;
                typedef Sample_SetInt_Request_TypeSupportInterface_var _var_type;

                static Sample_SetInt_Request_TypeSupportInterface_ptr _duplicate (Sample_SetInt_Request_TypeSupportInterface_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_SetInt_Request_TypeSupportInterface_ptr _narrow (DDS::Object_ptr obj);
                static Sample_SetInt_Request_TypeSupportInterface_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_SetInt_Request_TypeSupportInterface_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_SetInt_Request_TypeSupportInterface_ptr _this () { return this; }


            protected:
                Sample_SetInt_Request_TypeSupportInterface () {};
                ~Sample_SetInt_Request_TypeSupportInterface () {};
            private:
                Sample_SetInt_Request_TypeSupportInterface (const Sample_SetInt_Request_TypeSupportInterface &);
                Sample_SetInt_Request_TypeSupportInterface & operator = (const Sample_SetInt_Request_TypeSupportInterface &);
            };

            class  Sample_SetInt_Request_DataWriter :
                virtual public DDS::DataWriter
            { 
            public:
                typedef Sample_SetInt_Request_DataWriter_ptr _ptr_type;
                typedef Sample_SetInt_Request_DataWriter_var _var_type;

                static Sample_SetInt_Request_DataWriter_ptr _duplicate (Sample_SetInt_Request_DataWriter_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_SetInt_Request_DataWriter_ptr _narrow (DDS::Object_ptr obj);
                static Sample_SetInt_Request_DataWriter_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_SetInt_Request_DataWriter_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_SetInt_Request_DataWriter_ptr _this () { return this; }

                virtual DDS::LongLong register_instance (const Sample_SetInt_Request_& instance_data) = 0;
                virtual DDS::LongLong register_instance_w_timestamp (const Sample_SetInt_Request_& instance_data, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long unregister_instance (const Sample_SetInt_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long unregister_instance_w_timestamp (const Sample_SetInt_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long write (const Sample_SetInt_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long write_w_timestamp (const Sample_SetInt_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long dispose (const Sample_SetInt_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long dispose_w_timestamp (const Sample_SetInt_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long writedispose (const Sample_SetInt_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long writedispose_w_timestamp (const Sample_SetInt_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long get_key_value (Sample_SetInt_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_SetInt_Request_& instance_data) = 0;

            protected:
                Sample_SetInt_Request_DataWriter () {};
                ~Sample_SetInt_Request_DataWriter () {};
            private:
                Sample_SetInt_Request_DataWriter (const Sample_SetInt_Request_DataWriter &);
                Sample_SetInt_Request_DataWriter & operator = (const Sample_SetInt_Request_DataWriter &);
            };

            class  Sample_SetInt_Request_DataReader :
                virtual public DDS::DataReader
            { 
            public:
                typedef Sample_SetInt_Request_DataReader_ptr _ptr_type;
                typedef Sample_SetInt_Request_DataReader_var _var_type;

                static Sample_SetInt_Request_DataReader_ptr _duplicate (Sample_SetInt_Request_DataReader_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_SetInt_Request_DataReader_ptr _narrow (DDS::Object_ptr obj);
                static Sample_SetInt_Request_DataReader_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_SetInt_Request_DataReader_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_SetInt_Request_DataReader_ptr _this () { return this; }

                virtual DDS::Long read (Sample_SetInt_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Sample_SetInt_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Sample_SetInt_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Sample_SetInt_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Sample_SetInt_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Sample_SetInt_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Sample_SetInt_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Sample_SetInt_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Sample_SetInt_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Sample_SetInt_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Sample_SetInt_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Sample_SetInt_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Sample_SetInt_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Sample_SetInt_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_SetInt_Request_& instance) = 0;

            protected:
                Sample_SetInt_Request_DataReader () {};
                ~Sample_SetInt_Request_DataReader () {};
            private:
                Sample_SetInt_Request_DataReader (const Sample_SetInt_Request_DataReader &);
                Sample_SetInt_Request_DataReader & operator = (const Sample_SetInt_Request_DataReader &);
            };

            class  Sample_SetInt_Request_DataReaderView :
                virtual public DDS::DataReaderView
            { 
            public:
                typedef Sample_SetInt_Request_DataReaderView_ptr _ptr_type;
                typedef Sample_SetInt_Request_DataReaderView_var _var_type;

                static Sample_SetInt_Request_DataReaderView_ptr _duplicate (Sample_SetInt_Request_DataReaderView_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_SetInt_Request_DataReaderView_ptr _narrow (DDS::Object_ptr obj);
                static Sample_SetInt_Request_DataReaderView_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_SetInt_Request_DataReaderView_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_SetInt_Request_DataReaderView_ptr _this () { return this; }

                virtual DDS::Long read (Sample_SetInt_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Sample_SetInt_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Sample_SetInt_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Sample_SetInt_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Sample_SetInt_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Sample_SetInt_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Sample_SetInt_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Sample_SetInt_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Sample_SetInt_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Sample_SetInt_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Sample_SetInt_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Sample_SetInt_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Sample_SetInt_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Sample_SetInt_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_SetInt_Request_& instance) = 0;

            protected:
                Sample_SetInt_Request_DataReaderView () {};
                ~Sample_SetInt_Request_DataReaderView () {};
            private:
                Sample_SetInt_Request_DataReaderView (const Sample_SetInt_Request_DataReaderView &);
                Sample_SetInt_Request_DataReaderView & operator = (const Sample_SetInt_Request_DataReaderView &);
            };
            class Sample_SetInt_Response_TypeSupportInterface;

            typedef Sample_SetInt_Response_TypeSupportInterface * Sample_SetInt_Response_TypeSupportInterface_ptr;
            typedef DDS_DCPSInterface_var < Sample_SetInt_Response_TypeSupportInterface> Sample_SetInt_Response_TypeSupportInterface_var;
            typedef DDS_DCPSInterface_out < Sample_SetInt_Response_TypeSupportInterface> Sample_SetInt_Response_TypeSupportInterface_out;


            class Sample_SetInt_Response_DataWriter;

            typedef Sample_SetInt_Response_DataWriter * Sample_SetInt_Response_DataWriter_ptr;
            typedef DDS_DCPSInterface_var < Sample_SetInt_Response_DataWriter> Sample_SetInt_Response_DataWriter_var;
            typedef DDS_DCPSInterface_out < Sample_SetInt_Response_DataWriter> Sample_SetInt_Response_DataWriter_out;


            class Sample_SetInt_Response_DataReader;

            typedef Sample_SetInt_Response_DataReader * Sample_SetInt_Response_DataReader_ptr;
            typedef DDS_DCPSInterface_var < Sample_SetInt_Response_DataReader> Sample_SetInt_Response_DataReader_var;
            typedef DDS_DCPSInterface_out < Sample_SetInt_Response_DataReader> Sample_SetInt_Response_DataReader_out;


            class Sample_SetInt_Response_DataReaderView;

            typedef Sample_SetInt_Response_DataReaderView * Sample_SetInt_Response_DataReaderView_ptr;
            typedef DDS_DCPSInterface_var < Sample_SetInt_Response_DataReaderView> Sample_SetInt_Response_DataReaderView_var;
            typedef DDS_DCPSInterface_out < Sample_SetInt_Response_DataReaderView> Sample_SetInt_Response_DataReaderView_out;

            struct Sample_SetInt_Response_Seq_uniq_ {};
            typedef DDS_DCPSUFLSeq < Sample_SetInt_Response_, struct Sample_SetInt_Response_Seq_uniq_> Sample_SetInt_Response_Seq;
            typedef DDS_DCPSSequence_var < Sample_SetInt_Response_Seq> Sample_SetInt_Response_Seq_var;
            typedef DDS_DCPSSequence_out < Sample_SetInt_Response_Seq> Sample_SetInt_Response_Seq_out;

            class  Sample_SetInt_Response_TypeSupportInterface :
                virtual public DDS::TypeSupport
            { 
            public:
                typedef Sample_SetInt_Response_TypeSupportInterface_ptr _ptr_type;
                typedef Sample_SetInt_Response_TypeSupportInterface_var _var_type;

                static Sample_SetInt_Response_TypeSupportInterface_ptr _duplicate (Sample_SetInt_Response_TypeSupportInterface_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_SetInt_Response_TypeSupportInterface_ptr _narrow (DDS::Object_ptr obj);
                static Sample_SetInt_Response_TypeSupportInterface_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_SetInt_Response_TypeSupportInterface_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_SetInt_Response_TypeSupportInterface_ptr _this () { return this; }


            protected:
                Sample_SetInt_Response_TypeSupportInterface () {};
                ~Sample_SetInt_Response_TypeSupportInterface () {};
            private:
                Sample_SetInt_Response_TypeSupportInterface (const Sample_SetInt_Response_TypeSupportInterface &);
                Sample_SetInt_Response_TypeSupportInterface & operator = (const Sample_SetInt_Response_TypeSupportInterface &);
            };

            class  Sample_SetInt_Response_DataWriter :
                virtual public DDS::DataWriter
            { 
            public:
                typedef Sample_SetInt_Response_DataWriter_ptr _ptr_type;
                typedef Sample_SetInt_Response_DataWriter_var _var_type;

                static Sample_SetInt_Response_DataWriter_ptr _duplicate (Sample_SetInt_Response_DataWriter_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_SetInt_Response_DataWriter_ptr _narrow (DDS::Object_ptr obj);
                static Sample_SetInt_Response_DataWriter_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_SetInt_Response_DataWriter_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_SetInt_Response_DataWriter_ptr _this () { return this; }

                virtual DDS::LongLong register_instance (const Sample_SetInt_Response_& instance_data) = 0;
                virtual DDS::LongLong register_instance_w_timestamp (const Sample_SetInt_Response_& instance_data, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long unregister_instance (const Sample_SetInt_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long unregister_instance_w_timestamp (const Sample_SetInt_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long write (const Sample_SetInt_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long write_w_timestamp (const Sample_SetInt_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long dispose (const Sample_SetInt_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long dispose_w_timestamp (const Sample_SetInt_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long writedispose (const Sample_SetInt_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long writedispose_w_timestamp (const Sample_SetInt_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long get_key_value (Sample_SetInt_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_SetInt_Response_& instance_data) = 0;

            protected:
                Sample_SetInt_Response_DataWriter () {};
                ~Sample_SetInt_Response_DataWriter () {};
            private:
                Sample_SetInt_Response_DataWriter (const Sample_SetInt_Response_DataWriter &);
                Sample_SetInt_Response_DataWriter & operator = (const Sample_SetInt_Response_DataWriter &);
            };

            class  Sample_SetInt_Response_DataReader :
                virtual public DDS::DataReader
            { 
            public:
                typedef Sample_SetInt_Response_DataReader_ptr _ptr_type;
                typedef Sample_SetInt_Response_DataReader_var _var_type;

                static Sample_SetInt_Response_DataReader_ptr _duplicate (Sample_SetInt_Response_DataReader_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_SetInt_Response_DataReader_ptr _narrow (DDS::Object_ptr obj);
                static Sample_SetInt_Response_DataReader_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_SetInt_Response_DataReader_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_SetInt_Response_DataReader_ptr _this () { return this; }

                virtual DDS::Long read (Sample_SetInt_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Sample_SetInt_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Sample_SetInt_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Sample_SetInt_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Sample_SetInt_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Sample_SetInt_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Sample_SetInt_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Sample_SetInt_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Sample_SetInt_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Sample_SetInt_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Sample_SetInt_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Sample_SetInt_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Sample_SetInt_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Sample_SetInt_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_SetInt_Response_& instance) = 0;

            protected:
                Sample_SetInt_Response_DataReader () {};
                ~Sample_SetInt_Response_DataReader () {};
            private:
                Sample_SetInt_Response_DataReader (const Sample_SetInt_Response_DataReader &);
                Sample_SetInt_Response_DataReader & operator = (const Sample_SetInt_Response_DataReader &);
            };

            class  Sample_SetInt_Response_DataReaderView :
                virtual public DDS::DataReaderView
            { 
            public:
                typedef Sample_SetInt_Response_DataReaderView_ptr _ptr_type;
                typedef Sample_SetInt_Response_DataReaderView_var _var_type;

                static Sample_SetInt_Response_DataReaderView_ptr _duplicate (Sample_SetInt_Response_DataReaderView_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_SetInt_Response_DataReaderView_ptr _narrow (DDS::Object_ptr obj);
                static Sample_SetInt_Response_DataReaderView_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_SetInt_Response_DataReaderView_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_SetInt_Response_DataReaderView_ptr _this () { return this; }

                virtual DDS::Long read (Sample_SetInt_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Sample_SetInt_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Sample_SetInt_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Sample_SetInt_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Sample_SetInt_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Sample_SetInt_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Sample_SetInt_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Sample_SetInt_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Sample_SetInt_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Sample_SetInt_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Sample_SetInt_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Sample_SetInt_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Sample_SetInt_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Sample_SetInt_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_SetInt_Response_& instance) = 0;

            protected:
                Sample_SetInt_Response_DataReaderView () {};
                ~Sample_SetInt_Response_DataReaderView () {};
            private:
                Sample_SetInt_Response_DataReaderView (const Sample_SetInt_Response_DataReaderView &);
                Sample_SetInt_Response_DataReaderView & operator = (const Sample_SetInt_Response_DataReaderView &);
            };
        }

    }

}

#endif
